package com.storlead.system.service;

import com.storlead.system.pojo.dto.DictExtQueryParam;
import com.storlead.system.pojo.entity.SysDictDetailEntity;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 字典详情 服务类
 * </p>
 *
 * @author chenkq
 * @since 2022-09-09
 */
public interface SysDictDetailService extends IService<SysDictDetailEntity> {

    /**
     * 根据dict code 获取字典详情list
     */
    Map<String,List<SysDictDetailEntity>> getDictDetailByCodes(String... dictCode);

    /**
     *
     * @param dictCode
     * @return
     */
    Map<String,SysDictDetailEntity> getDictDetailByCode(String dictCode);

    String getWorkDataById(DictExtQueryParam param);

    Map<String,String> getDictMapByCode(String dictCode);
}
